diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 81fdeb6..5366e0d 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -81644,6 +81644,109 @@ ProjectivePlane(K):Exports == Implementation where
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain PROJPLPS ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField}
+<<ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.input>>=
+)set break resume
+)sys rm -f ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.output
+)spool ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField
+--R ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField K: FiniteFieldCategory  is a domain constructor
+--R Abbreviation for ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField is PROJPLPS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PROJPLPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R conjugate : % -> %                    degree : % -> PositiveInteger
+--R hash : % -> SingleInteger             homogenize : % -> %
+--R homogenize : (%,Integer) -> %         lastNonNul : % -> Integer
+--R lastNonNull : % -> Integer            latex : % -> String
+--R orbit : % -> List %                   rational? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R coerce : List PseudoAlgebraicClosureOfFiniteField K -> %
+--R coerce : % -> List PseudoAlgebraicClosureOfFiniteField K
+--R conjugate : (%,NonNegativeInteger) -> %
+--R definingField : % -> PseudoAlgebraicClosureOfFiniteField K
+--R ?.? : (%,Integer) -> PseudoAlgebraicClosureOfFiniteField K
+--R list : % -> List PseudoAlgebraicClosureOfFiniteField K
+--R orbit : (%,NonNegativeInteger) -> List %
+--R pointValue : % -> List PseudoAlgebraicClosureOfFiniteField K
+--R projectivePoint : List PseudoAlgebraicClosureOfFiniteField K -> %
+--R rational? : (%,NonNegativeInteger) -> Boolean
+--R removeConjugate : List % -> List %
+--R removeConjugate : (List %,NonNegativeInteger) -> List %
+--R setelt : (%,Integer,PseudoAlgebraicClosureOfFiniteField K) -> PseudoAlgebraicClosureOfFiniteField K
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help>>=
+====================================================================
+ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField examples
+====================================================================
+
+See Also:
+o )show ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField
+
+@
+\pagehead{ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField}{PROJPLPS}
+\pagepic{ps/v103projectiveplaneoverpseudoalgebraicclosureoffinitefield.ps}{PROJPLPS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{PROJPLPS}{?.?} &
+\cross{PROJPLPS}{?=?} &
+\cross{PROJPLPS}{?\~{}=?} &
+\cross{PROJPLPS}{coerce} &
+\cross{PROJPLPS}{conjugate} \\
+\cross{PROJPLPS}{definingField} &
+\cross{PROJPLPS}{degree} &
+\cross{PROJPLPS}{hash} &
+\cross{PROJPLPS}{homogenize} &
+\cross{PROJPLPS}{lastNonNul} \\
+\cross{PROJPLPS}{lastNonNull} &
+\cross{PROJPLPS}{latex} &
+\cross{PROJPLPS}{list} &
+\cross{PROJPLPS}{orbit} &
+\cross{PROJPLPS}{orbit} \\
+\cross{PROJPLPS}{pointValue} &
+\cross{PROJPLPS}{projectivePoint} &
+\cross{PROJPLPS}{rational?} &
+\cross{PROJPLPS}{removeConjugate} &
+\cross{PROJPLPS}{setelt} 
+\end{tabular}
+
+<<domain PROJPLPS ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField>>=
+)abbrev domain PROJPLPS ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField
+++ Author: Gaetan Hache
+++ Date Created: 17 nov 1992
+++ Date Last Updated: May 2010 by Tim Daly
+++ Description:
+++ This is part of the PAFF package, related to projective space.
+ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(K):Exp == Impl where
+  K:FiniteFieldCategory
+
+  KK   ==> PseudoAlgebraicClosureOfFiniteField(K)
+
+  Exp  ==> ProjectiveSpaceCategory(KK)
+
+  Impl ==> ProjectivePlane(KK)
+    
+@
+<<PROJPLPS.dotabb>>=
+"PROJPLPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PROJPLPS"];
+"PACOFF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PACOFF"];
+"PROJPLPS" -> "PACOFF"
+
+@
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PROJSP ProjectiveSpace}
 <<ProjectiveSpace.input>>=
 )set break resume
@@ -82388,7 +82491,7 @@ PseudoAlgebraicClosureOfFiniteField(K):Exports == Implementation where
 @
 
 <<PACOFF.dotabb>>=
-"PACOFF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PRODUCT"]
+"PACOFF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PACOFF"]
 "ALIST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ALIST"]
 "PACOFF" -> "ALIST"
 
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 4414903..68ea53e 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -24100,6 +24100,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|PrimitiveArrayFunctions2| . PRIMARR2)
    (|PrintPackage| . PRINT)
    (|ProjectivePlane| . PROJPL)
+   (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . PROJPLPS)
    (|ProjectiveSpace| . PROJSP)
    (|QuadraticForm| . QFORM)
    (|QuasiComponentPackage| . QCMPACK)
diff --git a/books/ps/v103projectiveplaneoverpseudoalgebraicclosureoffinitefield.ps b/books/ps/v103projectiveplaneoverpseudoalgebraicclosureoffinitefield.ps
new file mode 100644
index 0000000..ebf9934
--- /dev/null
+++ b/books/ps/v103projectiveplaneoverpseudoalgebraicclosureoffinitefield.ps
@@ -0,0 +1,268 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Mon Mar 30 10:09:11 UTC 2009)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 130 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 94 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% PROJPLPS
+gsave
+[ /Rect [ 0 72 86 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=PROJPLPS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 86 108 moveto
+0 108 lineto
+0 72 lineto
+86 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 86 108 moveto
+0 108 lineto
+0 72 lineto
+86 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+8 85.9 moveto 70 (PROJPLPS) alignedtext
+grestore
+% PACOFF
+gsave
+[ /Rect [ 7 0 79 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=PACOFF) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
+newpath 79 36 moveto
+7 36 lineto
+7 0 lineto
+79 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 79 36 moveto
+7 36 lineto
+7 0 lineto
+79 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+15 13.9 moveto 56 (PACOFF) alignedtext
+grestore
+% PROJPLPS->PACOFF
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 43 72 moveto
+43 64 43 55 43 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 46.5 46 moveto
+43 36 lineto
+39.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 46.5 46 moveto
+43 36 lineto
+39.5 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 130 152
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index bb82d84..8108d3f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20100515 tpd src/axiom-website/patches.html 20100515.05.tpd.patch
+20100515 tpd src/algebra/Makefile help and test files for PROJPLPS
+20100515 tpd books/bookvol5 expose PROJPLPS
+20100515 tpd books/bookvol10.3 add PROJPLPS
+20100515 tpd v103projectiveplaneoverpseudoalgebraicclosureoffinitefield.ps
 20100515 tpd src/axiom-website/patches.html 20100515.04.tpd.patch
 20100515 tpd books/ps/v103pseudoalgebraicclosureoffinitefield.ps corrected
 20100515 tpd src/axiom-website/patches.html 20100515.03.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 4b8b6cd..8dfc699 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -4365,16 +4365,16 @@ LAYER8=\
 
 @
 \subsection{Layer9}
-Depends on: BTAGG FLALG LODOCAT MATCAT SRAGG VECTCAT XF PROJSP\\
+Depends on: BTAGG FLALG LODOCAT MATCAT SRAGG VECTCAT XF PROJSP PACFFC\\
 Used by next layer: IVECTOR PTCAT STRICAT 
 <<layer9>>=
 
 LAYER9=\
-  ${OUT}/BITS.o    ${OUT}/DIRPROD2.o ${OUT}/IMATRIX.o  ${OUT}/INTRVL.o  \
-  ${OUT}/IVECTOR.o ${OUT}/LOCPOWC.o  \
-  ${OUT}/LODO1.o   ${OUT}/LODO2.o    ${OUT}/LPOLY.o   \
-  ${OUT}/LSMP.o    ${OUT}/LSMP1.o    ${OUT}/MATCAT2.o  ${OUT}/PROJPL.o   \
-  ${OUT}/PTCAT.o   ${OUT}/STRICAT.o  ${OUT}/TRIMAT.o  \
+  ${OUT}/BITS.o     ${OUT}/DIRPROD2.o ${OUT}/IMATRIX.o  ${OUT}/INTRVL.o  \
+  ${OUT}/IVECTOR.o  ${OUT}/LOCPOWC.o  \
+  ${OUT}/LODO1.o    ${OUT}/LODO2.o    ${OUT}/LPOLY.o   \
+  ${OUT}/LSMP.o     ${OUT}/LSMP1.o    ${OUT}/MATCAT2.o  ${OUT}/PROJPL.o   \
+  ${OUT}/PTCAT.o    ${OUT}/STRICAT.o  ${OUT}/TRIMAT.o  \
   layer9done
 
 @
@@ -12034,7 +12034,8 @@ LAYER17=\
   ${OUT}/OCTCT2.o   ${OUT}/ODEPAL.o   ${OUT}/ODERTRIC.o ${OUT}/PACEXTC.o  \
   ${OUT}/PADE.o     \
   ${OUT}/PAN2EXPR.o ${OUT}/PFO.o      ${OUT}/PFOQ.o     ${OUT}/PICOERCE.o \
-  ${OUT}/PMASSFS.o  ${OUT}/PMFS.o     ${OUT}/PMPREDFS.o ${OUT}/PSETPK.o   \
+  ${OUT}/PMASSFS.o  ${OUT}/PMFS.o     ${OUT}/PMPREDFS.o ${OUT}/PROJPLPS.o \
+  ${OUT}/PSETPK.o   \
   ${OUT}/QUAT.o     ${OUT}/QUATCT2.o  ${OUT}/RADFF.o    ${OUT}/RDEEF.o    \
   ${OUT}/RDEEFS.o   ${OUT}/RDIV.o     ${OUT}/RSETCAT.o  ${OUT}/RSETCAT-.o \
   ${OUT}/RSETGCD.o  ${OUT}/RULE.o     ${OUT}/RULESET.o  \
@@ -14097,6 +14098,16 @@ LAYER17=\
 /*"PSETCAT-" -> {"FLAGG-";  "BOOLEAN";  "URAGG-";  "LNAGG-";  "RCAGG-"}*/
 /*"PSETCAT-" -> {"IXAGG-";  "CLAGG-";  "EUCDOM";  "PID"}*/
 
+"PROJPLPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PROJPLPS"]
+/*"PROJPLPS" -> {"PRSPCAT"; "SETCATD"; "SETCAT"; "BASTYPE"; "KOERCE"}*/
+/*"PROJPLPS" -> {"PACFFC"}*/
+"PROJPLPS" -> "PACOFF"
+/*"PROJPLPS" -> {"FFIELDC"; "FPC"; "FIELD"; "EUCDOM"; "PID"; "GCDDOM"}*/
+/*"PROJPLPS" -> {"INTDOM"; "COMRING"; "RING"; "RNG"; "ABELGRP"; "CABMON"}*/
+/*"PROJPLPS" -> {"ABELMON"; "ABELSG"; "SGROUP"; "MONOID"; "LMODULE"}*/
+/*"PROJPLPS" -> {"BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"; "ENTIRER"; "UFD"}*/
+/*"PROJPLPS" -> {"DIVRING"; "CHARNZ"; "FINITE"; "STEP"; "DIFRING"; "PACPERC"}*/
+
 "PSETPK" [color="#FF4488",href="bookvol10.4.pdf#nameddest=PSETPK"]
 /*"PSETPK" -> {"INTDOM"; "COMRING"; "RING"; "RNG"; "ABELGRP"; "CABMON"}*/
 /*"PSETPK" -> {"ABELMON"; "ABELSG"; "SETCAT"; "BASTYPE"; "KOERCE"; "SGROUP"}*/
@@ -16327,6 +16338,21 @@ ${MID}/PROJPL.nrlib/code.o: ${MID}/PROJPL.spad
 	      | ${INTERPSYS} >${TMP}/trace ; \
 	   fi )
 @
+<<newcode>>=
+
+PROJPLPSDEPS = PACOFF PRSPCAT PROJPL SETCATD PACFFC PACPERC
+
+${MID}/PROJPLPS.nrlib/code.o: ${MID}/PROJPLPS.spad
+	@echo P3 making ${MID}/PROJPLPS.nrlib/code.o from ${MID}/PROJPLPS.spad
+	@ (cd ${MID} ; \
+	   if [ -z "${NOISE}" ] ; then \
+	    echo -e ")lib ${PROJPLPSDEPS} \n )co PROJPLPS.spad" \
+              | ${INTERPSYS} ; \
+           else \
+	    echo -e ")lib ${PROJPLPSDEPS} \n )co PROJPLPS.spad" \
+	      | ${INTERPSYS} >${TMP}/trace ; \
+	   fi )
+@
 
 \section{Broken Files}
 These files are Aldor files
@@ -17147,6 +17173,7 @@ SPADHELP=\
  ${HELP}/Polynomial.help \
  ${HELP}/Product.help \
  ${HELP}/ProjectivePlane.help \
+ ${HELP}/ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help \
  ${HELP}/ProjectiveSpace.help \
  ${HELP}/ProjectiveSpaceCategory.help \
  ${HELP}/PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.help \
@@ -17313,6 +17340,7 @@ REGRESS= \
  Polynomial.regress \
  Product.regress \
  ProjectivePlane.regress \
+ ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.regress \
  ProjectiveSpace.regress \
  ProjectiveSpaceCategory.regress \
  PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.regress \
@@ -18607,8 +18635,28 @@ ${HELP}/ProjectivePlane.help: ${BOOKS}/bookvol10.3.pamphlet
           >${INPUT}/ProjectivePlane.input
 	@echo "ProjectivePlane (PROJPL)" >>${HELPFILE}
 
+${HELP}/ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7937 create \
+           ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} \
+           -R"ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help
+	@cp \
+          ${HELP}/ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.help \
+          ${HELP}/PROJPLPS.help
+	@${TANGLE} \
+          -R"ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.input" \
+          ${BOOKS}/bookvol10.3.pamphlet \
+         >${INPUT}/ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.input
+	@echo \
+         "ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField (PROJPLPS)" \
+          >>${HELPFILE}
+
 ${HELP}/ProjectiveSpace.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7937 create ProjectiveSpace.help from \
+	@echo 7938 create ProjectiveSpace.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"ProjectiveSpace.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -18620,7 +18668,7 @@ ${HELP}/ProjectiveSpace.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "ProjectiveSpace (PROJSP)" >>${HELPFILE}
 
 ${HELP}/ProjectiveSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7938 create ProjectiveSpaceCategory.help from \
+	@echo 7939 create ProjectiveSpaceCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"ProjectiveSpaceCategory.help" \
            ${BOOKS}/bookvol10.2.pamphlet \
@@ -18633,7 +18681,7 @@ ${HELP}/ProjectiveSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 
 ${HELP}/PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.help: \
             ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7000 create \
+	@echo 7940 create \
             PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.help from \
             ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} \
@@ -18653,7 +18701,7 @@ ${HELP}/PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory.help: \
 
 ${HELP}/PseudoAlgebraicClosureOfFiniteFieldCategory.help: \
            ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7936 create PseudoAlgebraicClosureOfFiniteFieldCategory.help \
+	@echo 7941 create PseudoAlgebraicClosureOfFiniteFieldCategory.help \
            from ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"PseudoAlgebraicClosureOfFiniteFieldCategory.help" \
            ${BOOKS}/bookvol10.2.pamphlet \
@@ -18668,7 +18716,7 @@ ${HELP}/PseudoAlgebraicClosureOfFiniteFieldCategory.help: \
 
 ${HELP}/PseudoAlgebraicClosureOfPerfectFieldCategory.help: \
            ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7937 create PseudoAlgebraicClosureOfPerfectFieldCategory.help \
+	@echo 7942 create PseudoAlgebraicClosureOfPerfectFieldCategory.help \
            from ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"PseudoAlgebraicClosureOfPerfectFieldCategory.help" \
            ${BOOKS}/bookvol10.2.pamphlet \
@@ -18683,7 +18731,7 @@ ${HELP}/PseudoAlgebraicClosureOfPerfectFieldCategory.help: \
 
 ${HELP}/PseudoAlgebraicClosureOfFiniteField.help: \
            ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7938 create PseudoAlgebraicClosureOfFiniteField.help \
+	@echo 7943 create PseudoAlgebraicClosureOfFiniteField.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"PseudoAlgebraicClosureOfFiniteField.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -18698,7 +18746,7 @@ ${HELP}/PseudoAlgebraicClosureOfFiniteField.help: \
 
 ${HELP}/PseudoAlgebraicClosureOfRationalNumber.help: \
            ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7939 create PseudoAlgebraicClosureOfRationalNumber.help \
+	@echo 7944 create PseudoAlgebraicClosureOfRationalNumber.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"PseudoAlgebraicClosureOfRationalNumber.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -18713,7 +18761,7 @@ ${HELP}/PseudoAlgebraicClosureOfRationalNumber.help: \
 
 ${HELP}/PseudoAlgebraicClosureOfRationalNumberCategory.help: \
            ${BOOKS}/bookvol10.2.pamphlet
-	@echo 7940 create PseudoAlgebraicClosureOfRationalNumberCategory.help \
+	@echo 7945 create PseudoAlgebraicClosureOfRationalNumberCategory.help \
            from ${BOOKS}/bookvol10.2.pamphlet
 	@${TANGLE} -R"PseudoAlgebraicClosureOfRationalNumberCategory.help" \
            ${BOOKS}/bookvol10.2.pamphlet \
@@ -18727,7 +18775,7 @@ ${HELP}/PseudoAlgebraicClosureOfRationalNumberCategory.help: \
            >>${HELPFILE}
 
 ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7941 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7946 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Quaternion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Quaternion.help
 	@cp ${HELP}/Quaternion.help ${HELP}/QUAT.help
@@ -18736,7 +18784,7 @@ ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Quaternion (QUAT)" >>${HELPFILE}
 
 ${HELP}/QuaternionCategoryFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7945 create QuaternionCategoryFunctions2.help from \
+	@echo 7947 create QuaternionCategoryFunctions2.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"QuaternionCategoryFunctions2.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 60586e9..e32492c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2723,5 +2723,7 @@ books/bookvol10.3 add ProjectiveSpace<br/>
 books/bookvol10.3 add ProjectivePlane<br/>
 <a href="patches/20100515.04.tpd.patch">20100515.04.tpd.patch</a>
 books/ps/v103pseudoalgebraicclosureoffinitefield.ps corrected<br/>
+<a href="patches/20100515.05.tpd.patch">20100515.05.tpd.patch</a>
+books/bookvol10.3 ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField<br/>
  </body>
 </html>
